%define _unpackaged_files_terminate_build	1

%define module_name	zaptel
%define module_version	1.4.12.1
%define module_release	alt2

%define kversion	2.6.27
%define krelease	alt6
%define flavour	ovz-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define kernel_headers_dir %_prefix/src/linux-%kversion-%flavour-%krelease
%define module_headers_dir %kernel_headers_dir/drivers/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.6
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: zaptel

ExclusiveOS: Linux
Url: http://www.asterisk.org/index.php?menu=download

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name >= 20071228:1.4.9.2-alt3.svn20071228
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
ExclusiveArch:  %ix86 x86_64

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

Patch: zaptel-inode_diet.patch

%description
Zaptel modules, that needed for all Digium hardware, and some compatible
devices for telephony.

%package -n kernel-headers-%module_name-%flavour
Summary: zaptel driver headers
Group: Development/Kernel
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease
Provides: kernel-headers-%module_name-%kversion-%flavour-%krelease = %version-%release

%description -n kernel-headers-%module_name-%flavour
This package contains zaptel driver headers and other files needed for
compiling kernel modules which interface with zaptel drivers.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%if "%flavour" == "wks-smp"
%patch
%endif

%build
pushd zaptel
export KERNEL_SOURCE=%_usrsrc/linux-%kversion-%flavour
subst s!-I/usr/src/linux-2.4/!-I%_usrsrc/linux-%kversion-%flavour!g Makefile
subst s!^KINCLUDES=.*$/!KINCLUDES=%_usrsrc/linux-%kversion-%flavour!g Makefile
subst 's! # ztdummy! ztdummy!' Makefile
subst 's!PRIMARY=.*!PRIMARY=ztdummy!' Makefile

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

chmod +x menuselect/configure

./configure
#make version.h
#make tones.h tor2fw.h radfw.h
make \
	KVERS=%kversion \
	KSRC=%_usrsrc/linux-%kversion-%flavour 

#make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .` modules \
popd	
%install
pushd zaptel
make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .`/kernel INSTALL_MOD_PATH=%buildroot/%module_dir modules_install

mv %buildroot/%module_dir/lib/modules/*/extra/* %buildroot/%module_dir/
rmdir %buildroot/%module_dir/lib/modules/*/extra
rmdir %buildroot/%module_dir/lib/modules/*
rmdir %buildroot/%module_dir/lib/modules
rmdir %buildroot/%module_dir/lib

mkdir -p %buildroot%module_headers_dir
pushd kernel
cp -p biquad.h ecdis.h fasthdlc.h ../tonezone.h zaptel.h zconfig.h zaptel-base.c \
	%buildroot%module_headers_dir/

echo "%name = %version-%release" \
	> %buildroot%kernel_headers_dir/kernel-modules-%module_name.release

sed -e 's|%_builddir/||' < Module.symvers \
	> %buildroot%kernel_headers_dir/kernel-modules-%module_name.symvers
sed -e 's|%_builddir/||' < Module.symvers \
	> %buildroot%module_headers_dir/Module.symvers
popd

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%dir %module_dir
%module_dir/pciradio.ko
%module_dir/tor2.ko
%exclude %module_dir/torisa.ko
%module_dir/wcfxo.ko
%module_dir/wct1xxp.ko
%module_dir/wctdm.ko
%module_dir/wcte11xp.ko
%module_dir/wcusb.ko
%module_dir/zaptel.ko
%module_dir/ztd-eth.ko
%module_dir/ztd-loc.ko
%module_dir/ztdummy.ko
%module_dir/ztdynamic.ko
%module_dir/zttranscode.ko
#module_dir/ztcodec_dte/ztcodec_dte.ko
%dir %module_dir/wcte12xp
%module_dir/wcte12xp/wcte12xp.ko

%dir %module_dir/wctdm24xxp
%module_dir/wctdm24xxp/wctdm24xxp.ko

%dir %module_dir/wctc4xxp
%module_dir/wctc4xxp/wctc4xxp.ko

%dir %module_dir/wct4xxp
%module_dir/wct4xxp/wct4xxp.ko

%dir %module_dir/xpp
%module_dir/xpp/xpd_fxo.ko
%module_dir/xpp/xpd_fxs.ko
%module_dir/xpp/xpd_pri.ko
%module_dir/xpp/xpp.ko
%module_dir/xpp/xpp_usb.ko

%dir %module_dir/oslec
%module_dir/oslec/oslec.ko

%dir %module_dir/quasar
%module_dir/quasar/quasar.ko

%dir %module_dir/quasarm
%module_dir/quasarm/quasarm.ko

%dir %module_dir/ti24
%module_dir/ti24/ti24.ko

%files -n kernel-headers-%module_name-%flavour
%module_headers_dir
%kernel_headers_dir/kernel-modules-%module_name.release
%kernel_headers_dir/kernel-modules-%module_name.symvers

%changelog
* Mon Apr 20 2009 Anton Protopopov <aspsk@altlinux.org> 1.4.12.1-alt2.132635.6
- Build for kernel-image-ovz-smp-2.6.27-alt6.

* Thu Dec 18 2008 Michail Yakushin <silicium@altlinux.ru> 1.4.12.1-alt2
- fix for cronyx

* Thu Dec 11 2008 Michail Yakushin <silicium@altlinux.ru> 1.4.12.1-alt1
-  1.4.12.1

* Sun May 18 2008 Denis Smirnov <mithraen@altlinux.ru> 1.4.9.2-alt3
- Use %%dir for %module_dir/ti24

* Wed Mar 26 2008 Denis Smirnov <mithraen@altlinux.ru> 1.4.9.2-alt2
- Fix building with kernels >= 2.6.19

* Tue Mar 25 2008 Denis Smirnov <mithraen@altlinux.ru> 1.4.9.2-alt1
- Update to last kernel-source-zaptel
- Add ti24.ko module


* Mon Jan 14 2008 Sergey Vlasov <vsu@altlinux.ru> 1.4-alt5
- Require kernel-source-zaptel >= 1.4-alt1.svn20071228 for build.
- Fix %%files for new kernel-source-zaptel:
  + fix wcte12xp.ko module location;
  + add oslec.ko module.

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 1.4-alt4
- Fix wctdm24xxp module dir.
- Add missing xpd_pri.ko module.

* Fri May 25 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt3
- upstream update

* Sun Apr 15 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt2
- build x86_64 version too

* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt1
- update to last zaptel 1.4 branch

* Mon Feb 26 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt0
- update to last zaptel 1.4 branch

* Sun Feb 25 2007 L.A. Kostis <lakostis@altlinux.ru> 1.3-alt20
- fix for -mm changes in wks-smp kernel.

* Sat Feb 24 2007 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt19
- Added kernel-headers-%%module_name-%%flavour subpackage with files required
  to build driver modules for zaptel separately from this package.

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt18
- build without cronyx modules (moved to separate package)

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt17
- Removed unneeded "Prereq: modutils".

* Fri Oct 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt16
- fix building

* Sun Sep 10 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt15
- Restore async support in cronyx drivers which was disabled in 1.3-alt10.*
  (these drivers have been updated for compatibility with the 2.6.16 tty layer)

* Sun Sep 10 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt14
- Fix build with kernel-source-zaptel-1.3-alt0.9.20060907:
  + remove explicit build of vpm450m_fw.h
  + pass INSTALL_MOD_PATH to "make modules_install" for cronyx
  + fix path to installed cronyx modules for new makefile
  + update %%files for new module locations

* Sat Aug 19 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt13
- add requires to zaptel

* Mon Jul 03 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt12
- zaptel update

* Fri May 26 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt11
- zaptel svn update
- bump kernel-source-zaptel version in BuildRequires
- install xpp modules added in new zaptel

* Sat Mar 18 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt10
- Disable async support in cronyx drivers when compiling for kernel 2.6.16 or
  later (cronyx drivers need updating for tty layer changes in 2.6.16).

* Mon Feb 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt9
- zaptel svn update

* Thu Feb 02 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt8
- zaphfc added from bristuff

* Sun Jan 29 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt7
- zaptel update
- echo suppressor date dump/restore

* Mon Jan 09 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt6
- zaptel update

* Sat Dec 24 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt5
- update cronyx modules to 5.0.1
- fix spinlocks

* Tue Dec 20 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt4
- fix spinlocks

* Mon Dec 19 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt2
- cronyx modules can be disabled when building

* Mon Dec 12 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt1
- update for 2.6.14
- patch ztdummy for working more accurate

* Thu Oct 27 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt10
- MG2 echo suppressor added and used by default

* Thu Oct 27 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt9
- fix some packaging bugs

* Sat Aug 13 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt4
- added support for Cronyx E1 cards
- version update

* Thu Dec 30 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2
- Rebuild for kernel 2.6.10

* Fri Dec 17 2004 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1
- first build

